<?php


namespace App\Http\Controllers;


use App\Barang;
use App\Pembelian;
use App\RequestBarang;
use App\DataRequest;
use App\Http\Requests;
use DB;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;
use App\User;



class CustomerController extends Controller
{


//----------------------------Pembelian Barang----------------------//
    
 	public function BeliBarang()
    {
    	$barangs = Barang::all();
        return view('adminlte::customer.BeliBarang.index', compact('barangs'));
    }
    
    public function createPembelian($id)
    {
        $barangs = Barang::where('id', $id)->first();
        return view('adminlte::customer.BeliBarang.createPembelian')->with('barangs', $barangs);
    }

    public function savePembelian(Request $request)
    {
        $pembelians = new Pembelian();
        $pembelians->user_id = $request->user_id;
        $pembelians->username = $request->username;
        $pembelians->nama_barang = $request->nama_barang;
        $pembelians->kategori = $request->kategori;
        $pembelians->harga =$request->harga;
        $pembelians->jumlah = $request->jumlah;
        $harga = $request->harga;
        $jumlah = $request->jumlah;
        $total_harga = $harga * $jumlah;
        $pembelians->total_harga = $total_harga;
        $pembelians->status_pengantaran = $request->status_pengantaran;
        $pembelians->save();
        return redirect('BeliBarang');
    }


    public function cariBarang(){

        $key = Input::get('search');
        if(isset($key)){
            $this->data['barangs'] = Barang::where('nama_barang','like','%'.$key.'%')->orderBy('id','desc')->paginate(10);
        }else{
            $this->data['barangs'] = Barang::orderBy('id','desc')->paginate(10);                   
        }
                     
        return view('adminlte::customer.BeliBarang.index',$this->data);
    }


//----------------------------Data Request----------------------//

  	public function RequestBarang()
    {
        $data_requests = DataRequest::all();
        return view('adminlte::customer.RequestBarang.index', compact('data_requests'));
    }

    public function createRequest($id)
    {
        $data_requests = DataRequest::where('id', $id)->first();
        // dd($data_requests);
        return view('adminlte::customer.RequestBarang.createRequest')->with('data_requests', $data_requests);
    }

    public function saveRequest(Request $request)
    {
        $request_barangs = new RequestBarang();
        $request_barangs->user_id = $request->user_id;
        $request_barangs->username = $request->username;
        $request_barangs->nama_barang = $request->nama_barang;
        $request_barangs->kategori = $request->kategori;
        $request_barangs->harga =$request->harga;
        $request_barangs->jumlah = $request->jumlah;
        $harga = $request->harga;
        $jumlah = $request->jumlah;
        $total_harga = $harga * $jumlah;
        $request_barangs->total_harga = $total_harga;
        $request_barangs->status_request = $request->status_request;
        $request_barangs->status_pengantaran = $request->status_pengantaran;
        $request_barangs->save();
        return redirect('RequestBarang');
    }


//----------------------------Check Saldo----------------------------//
    public function CheckSaldo()
    {
        return view('adminlte::customer.CheckSaldo.index');
    }


//----------------------------Histori Transaksi----------------------//
    public function HistoryRequest()
    {
        $username = Auth::user()->username;
        $user = DB::table('users')->where('username' , $username)->first();
        $id = $user->id;
        $this->data['request_barang'] = DB::table('request_barangs')->where('user_id','=',$id)->get();
        return view('adminlte::customer.HistoryRequest.index',  $this->data);
    }

    public function HistoryPembelian()
    {
        $username = Auth::user()->username;
        $user = DB::table('users')->where('username' , $username)->first();
        $id = $user->id;
        $this->data['pembelian'] = DB::table('pembelians')->where('user_id','=',$id)->get();
        // dd($this->data);
        return view('adminlte::customer.HistoryPembelian.index', $this->data);
    }

}